<template>
  <div
    class="relative overflow-hidden bg-[#12191F] rounded-xl group p-4 md:p-10"
  >
    <div
      class="relative flex items-center justify-center w-full bg-transparent aspect-w-1 aspect-h-1 lg:aspect-none h-80"
    >
      <span
        class="absolute w-1 h-1 transition-all duration-500 ease-in-out transform -translate-x-1/2 -translate-y-1/2 rounded-[50%] bg-primary left-1/2 top-1/2 group-hover:w-80 group-hover:h-80"
      ></span>
      <img
        :src="`/machines/${machine.image}`"
        alt=""
        class="relative object-cover object-center w-auto h-80"
      />
    </div>

    <div class="mt-10 text-left">
      <h2 class="mb-4 text-2xl text-center uppercase text-primary section-title">
        {{ machine.name }}
      </h2>

      <div class="text-center text-white">
        <p>
          {{ $t('asics.descriptionParts[0]') }}
          <span class="text-primary">{{ machine.miningPower }}</span>
          {{ $t('asics.descriptionParts[1]') }}
          <span class="text-primary">{{ machine.algorithm }}</span
          >. {{ $t('asics.descriptionParts[2]') }}
          <span class="text-primary">{{ machine.consumption }} w+/-</span>
        </p>
      </div>

      <div class="flex items-center justify-center mt-10 space-x-4">
        <a
          :href="
            machine.link ||
            `https://api.whatsapp.com/send?phone=582123241954&text=${machine.name}`
          "
          class="btn btn-primary"
          target="_blank"
          rel="noopener noreferrer"
        >
          {{ $t('asics.buttons') }}
        </a>

        <!-- <button class="min-w-[auto] w-auto btn btn-primary" @click.prevent="setCalculatorState(!calculatorState)">
          <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" viewBox="0 0 20 20" fill="currentColor">
            <path fill-rule="evenodd" d="M6 2a2 2 0 00-2 2v12a2 2 0 002 2h8a2 2 0 002-2V4a2 2 0 00-2-2H6zm1 2a1 1 0 000 2h6a1 1 0 100-2H7zm6 7a1 1 0 011 1v3a1 1 0 11-2 0v-3a1 1 0 011-1zm-3 3a1 1 0 100 2h.01a1 1 0 100-2H10zm-4 1a1 1 0 011-1h.01a1 1 0 110 2H7a1 1 0 01-1-1zm1-4a1 1 0 100 2h.01a1 1 0 100-2H7zm2 1a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1zm4-4a1 1 0 100 2h.01a1 1 0 100-2H13zM9 9a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1zM7 8a1 1 0 000 2h.01a1 1 0 000-2H7z" clip-rule="evenodd" />
          </svg>
        </button> -->
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'

export default {
  name: 'AsicsComponent',

  props: {
    machine: {
      type: Object,
      required: true,
    },
  },

  computed: {
    ...mapGetters({
      calculatorState: 'calculatorState',
    }),
  },

  methods: {
    ...mapActions({
      setCalculatorState: 'setCalculatorState',
      setAsicsSelection: 'setAsicsSelection',
    }),
  },
}
</script>

<style></style>
